interface Obj {
    [key: string]: any;
}

type RequestFunction = (url: string, data: any, callback: (re: any) => void) => void;

declare let BI: Obj & import('@fui/core').BI & import('@fui/materials').BI;
declare const Fix: Obj;
declare const DecCst: Obj;
declare const Dec: {
    fineServletURL: string;
    socket: {
        connected: boolean;
    };
    system: {};
    personal: {
        username: string;
    };
    Utils: Obj;
    reqByEncrypt: (method: AxiosType.X_Method, url: string, data?: any, config?: AxiosType.X_AxiosRequestConfig) => {},
    socketEmit: (type: string, name: string, callback: (re: any) => void) => void;
    // req
    reqGet: RequestFunction;
    reqPost: RequestFunction;
    reqPut: RequestFunction;
    reqDelete: RequestFunction;
    // reqHandle
    reqGetHandle: RequestFunction;
    reqPostHandle: RequestFunction;
    reqPutHandle: RequestFunction;
    reqDeleteHandle: RequestFunction;
};
